<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fsociety = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'sagai';

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";

$file = "sagai.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `sonname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `fathname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `dauname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `englishdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `engday` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `engtime` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memname` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `sonname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `fathname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `dauname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `englishdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `engday` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `engtime` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `memname`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `sonname`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `fathname`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `dauname`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `englishdt`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `engday`";
} else if ($_REQUEST["sortBy"] == "9") {
    $sortcond = " ORDER BY `engtime`";
}
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y')as vouchdt,DATE_FORMAT(`englishdt`, '%d-%m-%Y')as englishdt
                FROM $maindb WHERE `vouchno` != '' $keycond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $time = date('h:i A', strtotime($r['engtime']));

    $rows[] = [ 'success' => true,
        'value'        => $ctr,
        'keyfld'       => $keyfld,
        'vouchno'      => $r['vouchno'],
        'vouchdt'      => $r['vouchdt'],
        'memname'      => $r['memname'],
        'sonname'      => $r['sonname'],
        'fathname'     => $r['fathname'],
        'dauname'      => $r['dauname'],
        'englishdt'    => $r['englishdt'],
        'engday'       => $r['engday'],
        'engtime'      => $time,
        'action'       => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
